Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Marketplace Client Project » It's impossible to contact Marketplace from Eclipse PDT 2020-12
It's impossible to contact Marketplace from Eclipse PDT 2020-12 [message #1837785] Sat, 06 February 2021 11:23 Go to next message
Philippe Leménager is currently offline Philippe LeménagerFriend
Messages: 3
Registered: February 2021
Junior Member
Hello !

I just changed my computer.

The old one :
- OS Magiea Linux 7.1 ;
- Eclipse PDT 2020-12 ;
- Java openJDK version "15" 2020-09-15.

=> It's OK, I can join Marketplace by clicking Help / Eclipse Marketplace.

The new one :
- OS Mageia Linux 8 Beta 2 (the RC1 is just published this morning and I updated my system so I'm in RC1) ;
- Eclipse PDT 2020-12 ;
- java openjdk version "11.0.10-ea" 2021-01-19 LTS (the one installed by default with Mageia).

=> KO, clicking Help / Eclipse Marketplace, I got this error message after a few seconds :

Quote:
MarketplaceDiscoveryStrategy failed with an error
Cannot complete request to https://marketplace.eclipse.org/api/p?client=org.eclipse.epp.mpc.core&os=linux&platform.version=4.18: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty


I've spent much time to find a solution or explanation but without success.

And I have a similar error when I click on Help / Check for Updates :

Quote:
Unable to read repository at https://download.eclipse.org/releases/latest/content.xml.
Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty


Sorry if I've written some bad words ; I'm french.

[Updated on: Sat, 06 February 2021 13:27]

Report message to a moderator

Re: It's impossible to contact Marketplace from Eclipse PDT 2020-12 [message #1837802 is a reply to message #1837785] Sun, 07 February 2021 07:54 Go to previous message
Philippe Leménager is currently offline Philippe LeménagerFriend
Messages: 3
Registered: February 2021
Junior Member
It's OK for me now.
I just needed to install "rootcerts-java" package ; lauch the command
update-ca-trust
and restart Eclipse.

[Updated on: Sun, 07 February 2021 07:55]

Report message to a moderator

Previous Topic:Marketplace entry missing
Next Topic:Installing Plugin via Marketplace client stays "Install Pending"
Goto Forum:
  


Current Time: Sat Apr 17 05:25:33 GMT 2021

Powered by FUDForum. Page generated in 0.02961 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top